import { defineConfig } from "vite";
import { fileURLToPath, URL } from "node:url";
import vue from "@vitejs/plugin-vue";
import vueJsx from "@vitejs/plugin-vue-jsx";
import linaria from "@linaria/rollup";
import css from "rollup-plugin-css-only";
import WindiCSS from "vite-plugin-windicss";
import Components from "unplugin-vue-components/vite";
import { AntDesignVueResolver } from "unplugin-vue-components/resolvers";
// https://vitejs.dev/config/
export default defineConfig({
  plugins: [
    WindiCSS(),
    Components({
      resolvers: [
        AntDesignVueResolver({
          // importLess: true
        }),
      ],
    }),
    linaria({
      babelOptions: {
        presets: ["@babel/preset-typescript"],
      },
    }),
    css({
      output: "styles.css",
    }),
    vue(),
    vueJsx(),
  ],
  css: {
    preprocessorOptions: {
      less: {
        javascriptEnabled: true,
      },
    },
  },
  resolve: {
    alias: {
      "@": fileURLToPath(new URL("./src", import.meta.url)),
    },
  },
});
